{
  "compilerOptions": {
    "target": "ESNext",
    "useDefineForClassFields": true,
    "module": "ESNext",
    "moduleResolution": "Bundler",
    "strict": true,
    "jsx": "preserve",
    "sourceMap": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "esModuleInterop": true,
    "lib": ["ESNext", "DOM"],
    "skipLibCheck": true,

    "paths": {
      "@/*": ["./resources/assets/vue/*"]
    },
    "types": ["vite/client"],
    "noEmit": true
  },
  "include": ["resources/assets/vue/**/*.ts", "resources/assets/vue/**/*.d.ts", "resources/assets/vue/**/*.vue"]
}
